jQuery(document).ready(function () {
    'use strict';
    jQuery('.vi-ui.vi-ui-main.tabular.menu .item').vi_tab({
        history: true,
        historyType: 'hash'
    });
    jQuery('.vi-ui.checkbox').off().checkbox();
    jQuery('input[type="checkbox"]').off().on('change', function () {
        if (jQuery(this).prop('checked')) {
            jQuery(this).parent().find('input[type="hidden"]').val(1);
        } else {
            jQuery(this).parent().find('input[type="hidden"]').val(0);
        }
    });
    jQuery(document).on('click','.vifewc-reset:not(.loading)', function (e) {
        e.preventDefault();
        e.stopPropagation();
        if (!confirm(vifewc_admin.reset_message)){
            return false;
        }
        let button = jQuery(this), wranning = jQuery('.vifewc-import-wrap .vifewc-warning');
        wranning.html(null);
        jQuery.ajax({
            url: "admin-ajax.php?action=vifewc_import_settings",
            type: "POST",
            data:{
                type: 'reset',
                nonce:jQuery('#_vifewc_setting').val()
            },
            beforeSend:function () {
                button.addClass('loading');
            },
            success:function (response) {
                button.removeClass('loading');
                if (response.message ){
                    wranning.html(response.message);
                }
                if (response.status === 'success'){
                    location.reload();
                }
            },
            error:function(err){
                console.log(err)
                button.removeClass('loading');
            }
        })
    });
    jQuery(document).on('click','.vifewc-import:not(.loading)', function (e) {
        e.preventDefault();
        e.stopPropagation();
        let input = jQuery('[name=import_settings]'), wranning = jQuery('.vifewc-import-wrap .vifewc-warning');
        wranning.html(null);
        if (!input.val()){
            wranning.html(vifewc_admin.import_empty_warning);
            input.trigger('focus');
            return false;
        }
        if (!confirm(vifewc_admin.import_message)){
            return false;
        }
        let button = jQuery(this);
        jQuery.ajax({
            url: "admin-ajax.php?action=vifewc_import_settings",
            type: "POST",
            data:{
                data: input.val(),
                nonce:jQuery('#_vifewc_setting').val()
            },
            beforeSend:function () {
                button.addClass('loading');
            },
            success:function (response) {
                button.removeClass('loading');
                if (response.message ){
                    wranning.html(response.message);
                }
                if (response.status === 'success'){
                    location.reload();
                }
            },
            error:function(err){
                console.log(err)
                button.removeClass('loading');
            }
        })
    });
});