/*!
 * # Semantic UI 2.4.2 - Tab
 * http://github.com/semantic-org/semantic-ui/
 *
 *
 * Released under the MIT license
 * http://opensource.org/licenses/MIT
 *
 */
!function(e,t,a,n){"use strict";t=void 0!==t&&t.Math==Math?t:"undefined"!=typeof self&&self.Math==Math?self:Function("return this")(),e.fn.vi_tab=function(i){var o,r=e.isFunction(this)?e(t):e(this),s=r.selector||"",c=(new Date).getTime(),l=[],d=arguments[0],u="string"==typeof d,b=[].slice.call(arguments,1),g=!1;return r.each((function(){var f,h,p,v,m,y,T=e.isPlainObject(i)?e.extend(!0,{},e.fn.vi_tab.settings,i):e.extend({},e.fn.vi_tab.settings),L=T.className,x=T.metadata,A=T.selector,P=T.error,C="."+T.namespace,F="module-"+T.namespace,S=e(this),j={},E=!0,O=0,w=this,k=S.data(F);m={initialize:function(){m.debug("Initializing tab menu item",S),m.fix.callbacks(),m.determineTabs(),m.debug("Determining tabs",T.context,h),T.auto&&m.set.auto(),m.bind.events(),T.history&&!g&&(m.initializeHistory(),g=!0),m.instantiate()},instantiate:function(){m.verbose("Storing instance of module",m),k=m,S.data(F,m)},destroy:function(){m.debug("Destroying tabs",S),S.removeData(F).off(C)},bind:{events:function(){e.isWindow(w)||(m.debug("Attaching tab activation events to element",S),S.on("click"+C,m.event.click))}},determineTabs:function(){var t;"parent"===T.context?(S.closest(A.vi-ui).length>0?(t=S.closest(A.vi-ui),m.verbose("Using closest UI element as parent",t)):t=S,f=t.parent(),m.verbose("Determined parent element for creating context",f)):T.context?(f=e(T.context),m.verbose("Using selector for tab context",T.context,f)):f=e("body"),T.childrenOnly?(h=f.children(A.tabs),m.debug("Searching tab context children for tabs",f,h)):(h=f.find(A.tabs),m.debug("Searching tab context for tabs",f,h))},fix:{callbacks:function(){e.isPlainObject(i)&&(i.onTabLoad||i.onTabInit)&&(i.onTabLoad&&(i.onLoad=i.onTabLoad,delete i.onTabLoad,m.error(P.legacyLoad,i.onLoad)),i.onTabInit&&(i.onFirstLoad=i.onTabInit,delete i.onTabInit,m.error(P.legacyInit,i.onFirstLoad)),T=e.extend(!0,{},e.fn.vi_tab.settings,i))}},initializeHistory:function(){if(m.debug("Initializing page state"),e.address===n)return m.error(P.state),!1;if("state"==T.historyType){if(m.debug("Using HTML5 to manage state"),!1===T.path)return m.error(P.path),!1;e.address.history(!0).state(T.path)}e.address.bind("change",m.event.history.change)},event:{click:function(t){var a=e(this).data(x.tab);a!==n?(T.history?(m.verbose("Updating page state",t),e.address.value(a)):(m.verbose("Changing tab",t),m.changeTab(a)),t.preventDefault()):m.debug("No tab specified")},history:{change:function(t){var a=t.pathNames.join("/")||m.get.initialPath(),i=T.templates.determineTitle(a)||!1;m.performance.display(),m.debug("History change event",a,t),y=t,a!==n&&m.changeTab(a),i&&e.address.title(i)}}},refresh:function(){p&&(m.debug("Refreshing tab",p),m.changeTab(p))},cache:{read:function(e){return e!==n&&j[e]},add:function(e,t){e=e||p,m.debug("Adding cached content for",e),j[e]=t},remove:function(e){e=e||p,m.debug("Removing cached content for",e),delete j[e]}},set:{auto:function(){var t="string"==typeof T.path?T.path.replace(/\/$/,"")+"/{$tab}":"/{$tab}";m.verbose("Setting up automatic tab retrieval from server",t),e.isPlainObject(T.apiSettings)?T.apiSettings.url=t:T.apiSettings={url:t}},loading:function(e){var t=m.get.tabElement(e);t.hasClass(L.loading)||(m.verbose("Setting loading state for",t),t.addClass(L.loading).siblings(h).removeClass(L.active+" "+L.loading),t.length>0&&T.onRequest.call(t[0],e))},state:function(t){e.address.value(t)}},changeTab:function(a){var n=t.history&&t.history.pushState&&T.ignoreFirstLoad&&E,i=T.auto||e.isPlainObject(T.apiSettings),o=i&&!n?m.utilities.pathToArray(a):m.get.defaultPathArray(a);a=m.utilities.arrayToPath(o),e.each(o,(function(t,r){var s,c,l,d,u=o.slice(0,t+1),b=m.utilities.arrayToPath(u),g=m.is.tab(b),h=t+1==o.length,A=m.get.tabElement(b);if(m.verbose("Looking for tab",r),g){if(m.verbose("Tab was found",r),p=b,v=m.utilities.filterArray(o,u),h?d=!0:(c=o.slice(0,t+2),l=m.utilities.arrayToPath(c),(d=!m.is.tab(l))&&m.verbose("Tab parameters found",c)),d&&i)return n?(m.debug("Ignoring remote content on first tab load",b),E=!1,m.cache.add(a,A.html()),m.activate.all(b),T.onFirstLoad.call(A[0],b,v,y),T.onLoad.call(A[0],b,v,y)):(m.activate.navigation(b),m.fetch.content(b,a)),!1;m.debug("Opened local tab",b),m.activate.all(b),m.cache.read(b)||(m.cache.add(b,!0),m.debug("First time tab loaded calling tab init"),T.onFirstLoad.call(A[0],b,v,y)),T.onLoad.call(A[0],b,v,y)}else{if(-1!=a.search("/")||""===a)return m.error(P.missingTab,S,f,b),!1;if(b=(s=e("#"+a+', a[name="'+a+'"]')).closest("[data-tab]").data(x.tab),A=m.get.tabElement(b),s&&s.length>0&&b)return m.debug("Anchor link used, opening parent tab",A,s),A.hasClass(L.active)||setTimeout((function(){m.scrollTo(s)}),0),m.activate.all(b),m.cache.read(b)||(m.cache.add(b,!0),m.debug("First time tab loaded calling tab init"),T.onFirstLoad.call(A[0],b,v,y)),T.onLoad.call(A[0],b,v,y),!1}}))},scrollTo:function(t){var n=!!(t&&t.length>0)&&t.offset().top;!1!==n&&(m.debug("Forcing scroll to an in-page link in a hidden tab",n,t),e(a).scrollTop(n))},update:{content:function(t,a,i){var o=m.get.tabElement(t),r=o[0];i=i!==n?i:T.evaluateScripts,"string"==typeof T.cacheType&&"dom"==T.cacheType.toLowerCase()&&"string"!=typeof a?o.empty().append(e(a).clone(!0)):i?(m.debug("Updating HTML and evaluating inline scripts",t,a),o.html(a)):(m.debug("Updating HTML",t,a),r.innerHTML=a)}},fetch:{content:function(t,a){var i,o,r=m.get.tabElement(t),s={dataType:"html",encodeParameters:!1,on:"now",cache:T.alwaysRefresh,headers:{"X-Remote":!0},onSuccess:function(e){"response"==T.cacheType&&m.cache.add(a,e),m.update.content(t,e),t==p?(m.debug("Content loaded",t),m.activate.tab(t)):m.debug("Content loaded in background",t),T.onFirstLoad.call(r[0],t,v,y),T.onLoad.call(r[0],t,v,y),T.loadOnce?m.cache.add(a,!0):"string"==typeof T.cacheType&&"dom"==T.cacheType.toLowerCase()&&r.children().length>0?setTimeout((function(){var e=r.children().clone(!0);e=e.not("script"),m.cache.add(a,e)}),0):m.cache.add(a,r.html())},urlData:{tab:a}},c=r.api("get request")||!1,l=c&&"pending"===c.state();a=a||t,o=m.cache.read(a),T.cache&&o?(m.activate.tab(t),m.debug("Adding cached content",a),T.loadOnce||("once"==T.evaluateScripts?m.update.content(t,o,!1):m.update.content(t,o)),T.onLoad.call(r[0],t,v,y)):l?(m.set.loading(t),m.debug("Content is already loading",a)):e.api!==n?(i=e.extend(!0,{},T.apiSettings,s),m.debug("Retrieving remote content",a,i),m.set.loading(t),r.api(i)):m.error(P.api)}},activate:{all:function(e){m.activate.tab(e),m.activate.navigation(e)},tab:function(e){var t=m.get.tabElement(e),a="siblings"==T.deactivate?t.siblings(h):h.not(t),n=t.hasClass(L.active);m.verbose("Showing tab content for",t),n||(t.addClass(L.active),a.removeClass(L.active+" "+L.loading),t.length>0&&T.onVisible.call(t[0],e))},navigation:function(e){var t=m.get.navElement(e),a="siblings"==T.deactivate?t.siblings(r):r.not(t),n=t.hasClass(L.active);m.verbose("Activating tab navigation for",t,e),n||(t.addClass(L.active),a.removeClass(L.active+" "+L.loading))}},deactivate:{all:function(){m.deactivate.navigation(),m.deactivate.tabs()},navigation:function(){r.removeClass(L.active)},tabs:function(){h.removeClass(L.active+" "+L.loading)}},is:{tab:function(e){return e!==n&&m.get.tabElement(e).length>0}},get:{initialPath:function(){return r.eq(0).data(x.tab)||h.eq(0).data(x.tab)},path:function(){return e.address.value()},defaultPathArray:function(e){return m.utilities.pathToArray(m.get.defaultPath(e))},defaultPath:function(e){var t=r.filter("[data-"+x.tab+'^="'+e+'/"]').eq(0).data(x.tab)||!1;if(t){if(m.debug("Found default tab",t),O<T.maxDepth)return O++,m.get.defaultPath(t);m.error(P.recursion)}else m.debug("No default tabs found for",e,h);return O=0,e},navElement:function(e){return e=e||p,r.filter("[data-"+x.tab+'="'+e+'"]')},tabElement:function(e){var t,a,n,i;return e=e||p,n=m.utilities.pathToArray(e),i=m.utilities.last(n),t=h.filter("[data-"+x.tab+'="'+e+'"]'),a=h.filter("[data-"+x.tab+'="'+i+'"]'),t.length>0?t:a},tab:function(){return p}},utilities:{filterArray:function(t,a){return e.grep(t,(function(t){return-1==e.inArray(t,a)}))},last:function(t){return!!e.isArray(t)&&t[t.length-1]},pathToArray:function(e){return e===n&&(e=p),"string"==typeof e?e.split("/"):[e]},arrayToPath:function(t){return!!e.isArray(t)&&t.join("/")}},setting:function(t,a){if(m.debug("Changing setting",t,a),e.isPlainObject(t))e.extend(!0,T,t);else{if(a===n)return T[t];e.isPlainObject(T[t])?e.extend(!0,T[t],a):T[t]=a}},internal:function(t,a){if(e.isPlainObject(t))e.extend(!0,m,t);else{if(a===n)return m[t];m[t]=a}},debug:function(){!T.silent&&T.debug&&(T.performance?m.performance.log(arguments):(m.debug=Function.prototype.bind.call(console.info,console,T.name+":"),m.debug.apply(console,arguments)))},verbose:function(){!T.silent&&T.verbose&&T.debug&&(T.performance?m.performance.log(arguments):(m.verbose=Function.prototype.bind.call(console.info,console,T.name+":"),m.verbose.apply(console,arguments)))},error:function(){T.silent||(m.error=Function.prototype.bind.call(console.error,console,T.name+":"),m.error.apply(console,arguments))},performance:{log:function(e){var t,a;T.performance&&(a=(t=(new Date).getTime())-(c||t),c=t,l.push({Name:e[0],Arguments:[].slice.call(e,1)||"",Element:w,"Execution Time":a})),clearTimeout(m.performance.timer),m.performance.timer=setTimeout(m.performance.display,500)},display:function(){var t=T.name+":",a=0;c=!1,clearTimeout(m.performance.timer),e.each(l,(function(e,t){a+=t["Execution Time"]})),t+=" "+a+"ms",s&&(t+=" '"+s+"'"),(console.group!==n||console.table!==n)&&l.length>0&&(console.groupCollapsed(t),console.table?console.table(l):e.each(l,(function(e,t){console.log(t.Name+": "+t["Execution Time"]+"ms")})),console.groupEnd()),l=[]}},invoke:function(t,a,i){var r,s,c,l=k;return a=a||b,i=w||i,"string"==typeof t&&l!==n&&(t=t.split(/[\. ]/),r=t.length-1,e.each(t,(function(a,i){var o=a!=r?i+t[a+1].charAt(0).toUpperCase()+t[a+1].slice(1):t;if(e.isPlainObject(l[o])&&a!=r)l=l[o];else{if(l[o]!==n)return s=l[o],!1;if(!e.isPlainObject(l[i])||a==r)return l[i]!==n?(s=l[i],!1):(m.error(P.method,t),!1);l=l[i]}}))),e.isFunction(s)?c=s.apply(i,a):s!==n&&(c=s),e.isArray(o)?o.push(c):o!==n?o=[o,c]:c!==n&&(o=c),s}},u?(k===n&&m.initialize(),m.invoke(d)):(k!==n&&k.invoke("destroy"),m.initialize())})),o!==n?o:this},e.tab=function(){e(t).tab.apply(this,arguments)},e.fn.vi_tab.settings={name:"Tab",namespace:"tab",silent:!1,debug:!1,verbose:!1,performance:!0,auto:!1,history:!1,historyType:"hash",path:!1,context:!1,childrenOnly:!1,maxDepth:25,deactivate:"siblings",alwaysRefresh:!1,cache:!0,loadOnce:!1,cacheType:"response",ignoreFirstLoad:!1,apiSettings:!1,evaluateScripts:"once",onFirstLoad:function(e,t,a){},onLoad:function(e,t,a){},onVisible:function(e,t,a){},onRequest:function(e,t,a){},templates:{determineTitle:function(e){}},error:{api:"You attempted to load content without API module",method:"The method you called is not defined",missingTab:"Activated tab cannot be found. Tabs are case-sensitive.",noContent:"The tab you specified is missing a content url.",path:"History enabled, but no path was specified",recursion:"Max recursive depth reached",legacyInit:"onTabInit has been renamed to onFirstLoad in 2.0, please adjust your code.",legacyLoad:"onTabLoad has been renamed to onLoad in 2.0. Please adjust your code",state:"History requires Asual's Address library <https://github.com/asual/jquery-address>"},metadata:{tab:"tab",loaded:"loaded",promise:"promise"},className:{loading:"loading",active:"active"},selector:{tabs:".vi-ui.tab",ui:".vi-ui"}}}(jQuery,window,document);